/*
 * coil_driver.h
 *
 * Created: 28.02.2014 11:24:34
 *  Author: yvind Rein
 */ 

/*

#ifndef COIL_DRIVER_H_
#define COIL_DRIVER_H_

#define COIL_X  0x00
#define COIL_Y  0x01
#define COIL_Z  0x02


#define COIL_OFF  0x00
#define COIL_POS  0x01
#define COIL_NEG  0x02

#define CX_PHASE  0x01 // Pin mask on PORTD
#define CX_PWM  0x02

#define CY_PHASE  0x04 // Pin mask on PORTD
#define CY_PWM  0x08

#define CZ_PHASE  0x04 // Pin mask on PORTE
#define CZ_PWM  0x08

int coil_driver_initialize();
int coils_are_off();
void coil_output(int output_vector[3]);

void set_coil(int coil, int dir); // "coil" can be COIL_X, COIL_Y or COIL_Z, and "dir" should be either COIL_OFF, COIL POS, COIL_NEG

int coil_driver_enable(); // wakes the h-bridges from sleep mode
int coil_driver_disable(); // puts the h-bridges to sleep (nSLEEP)

*/
#ifndef COIL_DRIVER_H_
#define COIL_DRIVER_H_

int coil_driver_initialize();
int coils_are_off();
void coil_output(int output_vector[3]);

void set_coil(int coil, int dir); // "coil" can be COIL_X, COIL_Y or COIL_Z, and "dir" should be either COIL_OFF, COIL POS, COIL_NEG

int coil_driver_enable(); // wakes the h-bridges from sleep mode
int coil_driver_disable(); // puts the h-bridges to sleep (nSLEEP)

#endif /* COIL_DRIVER_H_ */