/*
 * nrp_request_task.c
 *
 * Created: 24-Mar-15 5:35:53 PM
 *  Author: NUTS developers
 */ 

#include "FreeRTOS.h"
#include "csplib/NRP/nrp_header.h"
#include "csplib/NRP/nrp_debug.h"
#include "csplib/include/csp/csp.h"
#include "nrp_error.h"

#define REQ_QUEUE_LENGTH		5
#define ADD_DELAY				0
#define REQ_TASK_SIZE		  256


static xQueueHandle recv_request_queue;

void nrp_handle_request(csp_packet_t *packet){
	//init if neccessary
	switch (packet->id.dport){
		case 10:
		NRP_PRINT_SUCCESS("REQ received at port 10");
		break;
			
		case 11:
		NRP_PRINT_SUCCESS("REQ received at port 11");
		break;
			
		case 12:
		NRP_PRINT_SUCCESS("REQ received at port 12");
		break;
			
		default:
		NRP_PRINT_WARNING("REQ received at port not supporting requests");
		break;
	}
}