/*
 * gyroscope.h
 *
 * Created: 20.11.2013 15:53:34
 *  Author: yvind Rein	
 */ 

/*
#define GY_X_L 0x28 // X-axis angular data low register
#define GY_X_H 0x29 // X-axis angular data high register
#define GY_Y_L 0x2A // Y-axis angular data low register
#define GY_Y_H 0x2B // Y-axis angular data high register
#define GY_Z_L 0x2C // Z-axis angular data low register
#define GY_Z_H 0x2D // Z-axis angular data high register

#define GY_TEMP 0x26 // Register for temperature data


#define GY_REG1 0x20
#define GY_REG1_PD_normal 0b00001111 // Normal mode (not Power Down mode)
#define GY_REG1_bandwidth_00 0x00 //  (100, 200, 400, 800)
#define GY_REG1_DR_100 0x00 // Set the output data rate to 100Hz



#define GY_REG2 0x21 // Used for configuring integrated High Pass filter. Not Very usefull for this project.
#define GY_REG3 0x22 // Used for configuring interrupts on INT1/DRDY2/INT2

#define GY_REG4 0x23
#define GY_REG4_continuous 0x00 // Continuous data update.
#define GY_REG4_250dps 0x00 // Full scale selection. 250 degrees per second (250, 500, 2000, 20000).  

#define GY_REG5 0x24
#define GY_REG5_reboot 0b10000000 // Reboot memory content

#define GY_STATUS 0x27 // Status register
#define GY_STATUS_ZYXDA 0b00001000 // New X, Y and Z data available

#define GY_OUT_TEMP 0x26
 
int gyroscope_initialize();
int gyroscope_poll(int16_t data[3]);
int gyroscope_temp(int16_t *temp);
*/

#include <stdint.h>

#ifndef GYROSCOPE_H_
#define GYROSCOPE_H_

int gyroscope_initialize();
int gyroscope_poll(int16_t data[3]);
int gyroscope_temp(int16_t *temp);

#endif /* GYROSCOPE_H_ */