/*
 * magnetometer.h
 *
 * Created: 20.11.2013 08:28:01
 *  Author: yvind Rein
 */ 

/*
#define MAG_REGA 0x00
#define MAG_REGA_temp 0b10000000 // enable temperature sensor for automatic compensation.
#define MAG_REGA_data_avg_0 0b00000000 // Average data samples, 0
#define MAG_REGA_data_avg_2 0b00100000 // Average data samples, 2
#define MAG_REGA_data_avg_4 0b01000000 // Average data samples, 4
#define MAG_REGA_data_avg_8 0b01100000 // Average data samples, 8

#define MAG_REGB 0x01
#define MAG_REGB_gain_1370 0b00000000 // 1370 LSb/Gauss, recommended sensor field range: +- 0.88 Ga 
#define MAG_REGB_gain_1090 0b00100000 // 1090 LSb/Gauss, recommended sensor field range: +- 1.3 Ga
#define MAG_REGB_gain_230 0b11100000 // 230 LSb/Gauss, recommended sensor field range: +- 8.1 Ga

#define MAG_MODE 0x02 // Register for setting different modes
#define MAG_MODE_single 0x00000001 //Single-Measurement Mode (Default)

#define MAG_STATUS_REG 0x09
#define MAG_STATUS_REG_rdy 0x01

#define MAG_MAX_TRIES 1000


#define MAG_DXRA 0x03 // Data Output X MSB Register
#define MAG_DXRB 0x04 // Data Output X LSB Register
#define MAG_DZRA 0x05 // Data Output Z MSB Register
#define MAG_DZRB 0x06 // Data Output Z LSB Register
#define MAG_DYRA 0x07 // Data Output Y MSB Register
#define MAG_DYRB 0x08 // Data Output Y LSB Register

//Temperature = (MSB * 2^8 + LSB) / (2^4 * 8) + 25 in C
#define MAG_TEMPA 0x31 // Temperature Output MSB Register 
#define MAG_TEMPB 0x32 // Temperature Output LSB Register

#define MAG_ID_REGA 0x0a

int magnetometer_initialize(); // Set up SPI. Returns 1 on success
int magnetometer_poll(int16_t data[3]); // Stores sensor data into data. int16_t[0] = x, int16_t[0] = y and int16_t[0] = z. Returns 1 on success
int magnetometer_temp(int16_t * temp);

*/

#include <stdint.h>

#ifndef MAGNETOMETER_H_
#define MAGNETOMETER_H_

int magnetometer_initialize(); 
int magnetometer_poll(int16_t data[3]); 
int magnetometer_temp(int16_t * temp);

#endif /* MAGNETOMETER_H_ */