/*
 * timeTrans.h
 *
 *  Created: Feb 11, 2015 3:06:00 PM
 *  Author: Antoine Pignede
 *
 *  This file declares the Time Conversions
 */


#include <stdint.h>
#include "../data.h"

#ifndef TIMETRANS_H_
#define TIMETRANS_H_

	double timeDatetime2jd(Time time);
	Time timeJd2datetime(double jd);
	double timeDatetime2days(Time time);
	Time timeDays2datetime(int16_t year, double days);
	double timeDatetime2years(Time time);
	Time timeYears2datetime(double years);
	double timeJc2jd(double jc);
	double timeJd2jc(double jd);
	Time timeUtc2tt(Time timeUTC);
	Time timeTt2utc(Time timeTT);
	double timeGstime(double jdut1);

#endif /* TIMETRANS_H_ */
