/*
 * sensor_processing.c
 *
 * Created: 05.05.2015 15:56:35
 *  Author: Marius Westgaard
 */ 

#include "sensor_processing.h"

int median_voter(int16_t sensor_data[12]) {
	
	int16_t temp_array[3] = {0, 0, 0};
	int16_t temp = 0;
	
	int j = 0;
	int i = 0;
	int k = 0;
	
	for(k=0; k<3; k++) {
		for(i=0; i<3; i++) {
			temp_array[i] = sensor_data[(i+1)*3 + k];
		}
		
		for(i=0; i<3; i++) {
			temp = temp_array[i];
			j = i;
			while (j > 0 && temp_array[j-1] > temp) {
				temp_array[j] = temp_array[j-1];
				j = j-1;
			}
			temp_array[j] = temp;
		}
		sensor_data[k] = temp_array[1];
	}
	
	return 42;
}
