///*
 //* csp_controller.c
 //*
 //* Created: 10-Nov-14 4:42:04 PM
 //* Author: Code was written by EIT Romteknologi gr.5, and edited by Erlend Riis Jahren
 //
 //*/ 
//
//#include "csp_controller.h"
//#include <stdio.h>
//#include <string.h>
//#include <asf.h>
//#include "FreeRTOS.h"
//#include "portmacro.h" // For tick length information / timers
//#include "task.h"
//#include "status_codes.h"
//#include "csplib/csp_util.h"
//#include "csplib/i2c_csp_glue.h"
//#include "csplib/include/csp/csp_debug.h"
//#include "cli/cli.h"
//#include "cli/cli_commands/csptests.h"
//#include "csp_example.h"
//
//
//// Global taskhandles for all the listening tasks
//static xTaskHandle xCSPListenPort[MAX_PORT - 1];
//
//
//
///*CSP initialization*/
//uint8_t csp_initialized = false;
//uint8_t csp_usage_init_initialized = false;
//int8_t csp_default_setup(uint8_t module_number){
	//if (!csp_initialized){
		////initialize all listen task handlers
		//int i = 0;
		//for (; i < MAX_PORT; i++){
			//xCSPListenPort[i] = NULL;
		//}
		//this_module = module_number;
		//if (csp_usage_init(CSP_NR_OF_BUFFERED_PACKETS, nuts_modules[this_module].csp_address, 
			//configTSK_ROUTINGTASK_STACK_SIZE) != 0) 
				//return UNABLE_TO_INITIALIZE_CSP;
		//
		//csp_usage_init_initialized = true;
				//
		//csp_initialized = true;
		//
		////csp_debug_toggle_level(3);
		////csp_debug_toggle_level(4);
		////csp_debug_toggle_level(5);
		////csp_debug_toggle_level(6);
		//
		//
	//}
	//else printf("\rCSP already initialized\r\n");
	//
	//printModuleInfo(); 
	//return SUCCESS;
//}
//
//int8_t get_nuts_module(uint8_t csp_address, nuts_module_t *module_ptr){
	//int i = 0;
	//for (; i < sizeof(nuts_modules)/sizeof(nuts_module_t); i++){
		//if (nuts_modules[i].csp_address == csp_address){
			//*module_ptr = nuts_modules[i];
			//return SUCCESS; 
		//}
	//}
	//return NO_SUCH_MODULE;
//}
//
///*Listener setup*/
//int8_t csp_create_listener(uint8_t listen_port, void (*listener_ptr)(void *arg_ptr)){
	//int status = SUCCESS;
	//xCSPListenPort[listen_port] = NULL;
	//char task_name[16];
	//snprintf(task_name, 16, "listen[%i,%i]", nuts_modules[this_module].name, listen_port);
	//if (status = xTaskCreate(listener_ptr, task_name, configTSK_DEBUGTASK_STACK_SIZE, (void*)&listen_port, configTSK_DEBUGTASK_PRIORITY,&xCSPListenPort[listen_port]) != pdPASS){
		//printf("\rERROR creating listener task: %i\r\n", status);
	//}
	//return status;
//}
//
///*Set up a socket for your listener*/
//csp_socket_t * create_listen_socket(uint8_t port, uint32_t socket_opt) {
	////create the socket
	//csp_socket_t *listen_socket = csp_socket(socket_opt);
	//int status;
	//if (listen_socket == NULL){
		//printf("\rError creating socket\r\n");
		//return NULL;
	//}
	//
	//
	////Bind socket to port
	//if ((status = csp_bind(listen_socket, port)) != CSP_ERR_NONE){
		//printf("\rError binding socket, status: %i\r\n", status);
		//return NULL;
	//}
	//
	////Activate listening for socket
	//if ((status = csp_listen(listen_socket, BACKLOG_CON_QUEUE)) != CSP_ERR_NONE){
		//printf("\rError listening to socket, status: %i\r\n", status);
		//return NULL;
	//}
	//
	//return listen_socket;
//}
//
//
//
//int8_t csp_rdp_transmit(packet_type_t type, module_socket_t *dest, module_socket_t *source, char *data, int size, command_t command, csp_prio_t priority){
	//int status = SUCCESS;
	//printf("RDP transmission attempt\r\n");
	//csp_conn_t * conn;
	//csp_packet_t * packet;
	//
	//char *message = "Testing RDP";
	//
	//packet = csp_buffer_get(strlen(message));
//
	//if (packet == NULL) {
		///* Could not get buffer element */
		//printf("Failed to get buffer element\n");
		//return -1; //TODO: add defined return
	//}
	//
	////connect to server
	//if (conn = csp_connect(PRI_NORMAL, dest->module.csp_address, dest->port, 100,  CSP_O_RDP /*| CSP_O_CRC32*/) == NULL){
		//printf("Connection to [%s:%i] was not successful\r\n", dest->module.name, dest->port);
		////csp_buffer_free(packet);
		//return -1; //TODO: Add defined error value
	//}
	//else printf("Successfully connected to [%s:%i]\r\n", dest->module.name, dest->port);
	//
	//vTaskDelay(1000);
	////make packet
	//strcpy((char *) packet->data, message);
	//packet->length = strlen(message);
	//
	////send with rdp
	//if (!csp_send(conn, packet, 1000)) {
		///* Send failed */
		//printf("Send failed\r\n");
		//if (csp_buffer_free(packet) != SUCCESS) printf("\rUnable to free packet from buffer\r\n");
	//}
	//
	////whaat boi?
	//
	////close connection
	//while ((status = csp_close(&conn)) != SUCCESS){
		//printf("Connection couldnt be closed, error code: %i\r\n", status);
		//return status; //should maybe return a value indicating closing connection error
	//}
	//printf("Connection closed successfully!\r\n");
	//return status;
//}
//
///*
 //*/
//int8_t csp_transmit(packet_type_t type, module_socket_t *dest, module_socket_t *source, char *data, int size, command_t command, csp_prio_t priority) {
	//int retval[3] = {1}; //return values
	//static uint16_t num_packets;
	//
	//
	//if (size > 40) printf("Sending a large packet from [%s:%i] to [%s:%i]\n\r",source->module.name, source->port, dest->module.name, dest->port);
	//else printf("\rSending \"%s\" from [%s:%i] to [%s:%i]\n\r",data ,source->module.name, source->port, dest->module.name, dest->port);
	//
	//
	//// Use different approaches for the different packet types
	//switch(type) {
		//case COMMAND:
		//retval[0] = csp_send_command(&dest->module.i2c_address, &dest->port, &source->port, command, priority);
		//break;
		//case DATA:
		//// Check if packet has to be split
		//if (size > MAX_PACKET_SIZE) {
			////if (verbose) {
				////printf("Sending data: '%s'\r\n", data);
				////printf("This data has size '%i', which is too large to fit in one packet. Using splitting/recombining.\r\n", size);
			////}
			//
			//if (!(size % (MAX_PACKET_SIZE-COMMAND_SIZE+1))) {
				//num_packets = (size+1)/(MAX_PACKET_SIZE-COMMAND_SIZE); // data size fits exactly (+EOT)
			//}
			//else {
				//num_packets = (size+1)/(MAX_PACKET_SIZE-COMMAND_SIZE)+1;
			//}
			////if (verbose)
			////printf("Splitting into '%i' packets.\r\n", num_packets);
			//
			//
			//
			//char num_char[2], *ptr_num_char;
			//num_char[0] = num_packets & 0xFF;
			//num_char[1] = (num_packets >> 8);
			//ptr_num_char = num_char;
			//
			//retval[0] = csp_send_command_and_data(&dest->module.i2c_address, &dest->port, &source->port, ptr_num_char, PACKET_NUM_SIZE, CMD_SPLIT_START, priority);
			//retval[1] = csp_split_packet(size, &dest->module.i2c_address, &dest->port, &source->port, data, num_packets, priority);
			//retval[2] = csp_send_command(&dest->module.i2c_address, &dest->port, &source->port, CMD_SPLIT_STOP, priority);
		//}
		//else {
			//retval[0] = csp_send_data(&dest->module.i2c_address, &dest->port, &source->port, data, size, priority);
		//}
		//break;
		//case COMMAND_PLUS_DATA:
		//// Check if packet has to be split
		//if (size > MAX_PACKET_SIZE) {
			////if (verbose) {
				////printf("Sending data: '%s'\r\n", data);
				////printf("This data has size '%i', which is too large to fit in one packet. Using splitting/recombining.\r\n", size);
			////}
			//
			//if (!(size % (MAX_PACKET_SIZE-COMMAND_SIZE+COMMAND_SIZE+1))) {
				//num_packets = (size+COMMAND_SIZE+1)/(MAX_PACKET_SIZE-COMMAND_SIZE); // data size + command bytes fits exactly (+EOT)
			//}
			//else {
				//num_packets = (size+COMMAND_SIZE+1)/(MAX_PACKET_SIZE-COMMAND_SIZE)+1;
			//}
			////if (verbose)
			////printf("Splitting into '%i' packets.\r\n", num_packets);
			//
			//char num_char[3];
			//num_char[0] = num_packets & 0xFF;
			//num_char[1] = (num_packets >> 8);
			//num_char[2] = ASCII_ENQ;
			//num_char[3] = command;
			//
			//retval[0] = csp_send_command_and_data(&dest->module.i2c_address, &dest->port, &source->port, &num_char, PACKET_NUM_SIZE+COMMAND_SIZE, CMD_SPLIT_START, priority);
			//retval[1] = csp_split_packet(size, &dest->module.i2c_address, &dest->port, &source->port, data, num_packets, priority);
			//retval[2] = csp_send_command(&dest->module.i2c_address, &dest->port, &source->port, CMD_SPLIT_STOP, priority);
		//}
		//else {
			//retval[0] = csp_send_command_and_data(&dest->module.i2c_address, &dest->port, &source->port, data, size, command, priority);
		//}
		//break;
	//}
	//// Return the status code
	//if (retval[1] == 1 && retval[2] == 1) {
		//return retval[0];
	//}
	//else {
		//for (int i=0; i<3; i++) {
			//if (retval[i] != 0)
			//return retval[i]; // only one error returned if many
		//}
		//return STATUS_OK;
	//}
//}
//
//int8_t csp_split_packet(int size, uint8_t *i2c_addr, uint8_t *dest, uint8_t *src, char *data, int num_packets, csp_prio_t priority) {
	//char small_packet[MAX_PACKET_SIZE];
	//char *ptr_packet = small_packet;
	//int ret_val;
	//int sent_packets = 0;
	//
	//for (int i=0; i<num_packets; i++) {
		//
		//// Last packet
		//if (sent_packets == num_packets-1) {
			//int last_size = size-MAX_PACKET_SIZE*i;
			//
			//// Last data to be sent. Add EOT to end.
			//if (last_size > 0) {
				//memcpy(ptr_packet, data+i*MAX_PACKET_SIZE, last_size);
				//small_packet[last_size] = ASCII_EOT;
				//last_size++;
			//}
			//// Only EOT byte to be sent. Data size must be at least 2, so packet becomes 4.
			//else if (last_size == 0) {
				//small_packet[0] = ASCII_EOT;
				//small_packet[1] = ASCII_EOT;
				//last_size += 2;
			//}
			//
			//ret_val = csp_send_command_and_data(i2c_addr, dest, src, ptr_packet, last_size, CMD_SPLIT, priority);
		//}
		//// Send the current portion of the data
		//else {
			//ret_val = csp_send_command_and_data(i2c_addr, dest, src, data+i*MAX_PACKET_SIZE, MAX_PACKET_SIZE, CMD_SPLIT, priority);
		//}
		//sent_packets++;
		//
		//if (ret_val != STATUS_OK) {
			//break;
		//}
		//// Some delay to avoid congestion
		//vTaskDelay(SPLIT_SEND_DELAY);
	//}
	//return ret_val;
//}
//
//int8_t csp_send_data(uint8_t *i2c_addr, uint8_t *dest_port, uint8_t *src_port, char *data, uint8_t size, csp_prio_t priority) {
	//csp_packet_t *packet = csp_buffer_get_wrapper(sizeof(csp_packet_t) + size);
	//
	//// Copy the data to packet and send.
	//if (packet != NULL) {
		//packet->length = size;
		//memcpy(packet->data, data, size);
		//
		//
		//if (size == 0)
		//printf("Sending packet with length 0. No connection will be made on receiving module!\r\n");
		//
		//if (csp_send_packet(i2c_addr, dest_port, src_port, CSP_O_NONE, packet, priority) == ERR_IO_ERROR) {
			//printf("Data not sent.\r\n");
			//
			//return ERR_IO_ERROR;
		//}
		//else {
			////if (verbose) {
				////printf("Data '%.*s' sent | ", packet->length, packet->data);
				////printf("With length: %i\r\n", packet->length);
			////}
			//packet = NULL;
			//
			//return STATUS_OK;
		//}
	//}
	//else {
		//return ERR_NO_MEMORY;
	//}
//}
//
//int8_t csp_send_command(uint8_t *i2c_addr, uint8_t *dest_port, uint8_t *src_port, command_t command, csp_prio_t priority) {
	//// Size is the packet struct itself plus 4 bytes (two extra due to small packets being rejected).
	//csp_packet_t *packet = csp_buffer_get_wrapper(sizeof(csp_packet_t) + COMMAND_SIZE + 2);
	//
	//if (packet != NULL) {
		//// Get command into packet data
		//if (command > 0 && command < MAX_COMMANDS) {
			//packet->length = 4;  // Packet has to be at least this size in order to be detected on receiver. Why?
			//packet->data[0] = ASCII_ENQ;
			//packet->data[1] = command;
		//}
		//else {
			//return ERR_BAD_DATA;
		//}
		//// Send packet.
		//if (csp_send_packet(i2c_addr, dest_port, src_port, CSP_O_NONE, packet, priority) == ERR_IO_ERROR) {
			//printf("Command not sent.\r\n");
			//
			//return ERR_IO_ERROR;
		//}
		//else {
			//packet = NULL;
			//
			//return STATUS_OK;
		//}
	//}
	//else {
		//return ERR_NO_MEMORY;
	//}
//}
//
//int8_t csp_send_command_and_data(uint8_t *i2c_addr, uint8_t *dest_port, uint8_t *src_port, char *data, uint8_t size, command_t command, csp_prio_t priority) {
	//csp_packet_t *packet = csp_buffer_get_wrapper(sizeof(csp_packet_t) + size + COMMAND_SIZE);
	//
	//if (packet != NULL) {
		//// Get command into packet data
		//if (command >= 0 && command < MAX_COMMANDS) {
			//packet->data[0] = ASCII_ENQ;
			//packet->data[1] = command;
		//}
		//else {
			//return ERR_BAD_DATA;
		//}
		//// Copy the data to be sent
		//packet->length = size + COMMAND_SIZE;
		//memcpy(&packet->data[2], data, size);
		//
		//// Send packet. Release buffer if fails
		//if (csp_send_packet(i2c_addr, dest_port, src_port, CSP_O_NONE, packet, priority) == ERR_IO_ERROR) {
			//csp_buffer_free(packet);
			//printf("Command+data not sent.\r\n");
			//
			//return ERR_IO_ERROR;
		//}
		//else {
			//packet = NULL;
			//
			//return STATUS_OK;
		//}
	//}
	//return ERR_IO_ERROR;
//}
//
//int8_t csp_send_packet(uint8_t *i2c_addr, uint8_t *dest_port, uint8_t *src_port, uint8_t csp_flags, csp_packet_t *packet, csp_prio_t priority) {
	//// Send packet
	//int err;
	//if ((err = csp_sendto(priority, *i2c_addr, *dest_port, *src_port, csp_flags, packet, CSP_SEND_TIMEOUT)) == ERR_IO_ERROR) {
		//csp_buffer_free(packet);
		//return ERR_IO_ERROR;
	//}
	//else {
		//packet = NULL;
		//return STATUS_OK;
	//}
//}
//
//void * csp_buffer_get_wrapper(size_t size){
	//csp_packet_t *packet = csp_buffer_get(size);
	//packet->id.ext = 0;
	//packet->length = 0;
	//for(int i = 0; i < CSP_PADDING_BYTES; i++){
		//packet->padding[i] = '\0';
	//}
	//return packet;
//}